Setups
Changes
What activating a setup would write.
GET
/
setups
/
{id}
/
changes
Changes
curl --request GET \
--url http://127.0.0.1:45710/api/v1/setups/{id}/changesimport requests
url = "http://127.0.0.1:45710/api/v1/setups/{id}/changes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://127.0.0.1:45710/api/v1/setups/{id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "45710",
CURLOPT_URL => "http://127.0.0.1:45710/api/v1/setups/{id}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:45710/api/v1/setups/{id}/changes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:45710/api/v1/setups/{id}/changes")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:45710/api/v1/setups/{id}/changes")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"setup": "<string>",
"changes": [
{
"target": "<string>",
"param": "<string>",
"module": "<string>",
"source": {
"kind": "setup",
"id": "<string>"
},
"value": "<unknown>"
}
],
"unset": [
"<string>"
],
"unknownTokens": [
"<string>"
],
"refused": [
{
"key": "<string>",
"reason": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Was this page helpful?
⌘I
Changes
curl --request GET \
--url http://127.0.0.1:45710/api/v1/setups/{id}/changesimport requests
url = "http://127.0.0.1:45710/api/v1/setups/{id}/changes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://127.0.0.1:45710/api/v1/setups/{id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "45710",
CURLOPT_URL => "http://127.0.0.1:45710/api/v1/setups/{id}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:45710/api/v1/setups/{id}/changes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:45710/api/v1/setups/{id}/changes")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:45710/api/v1/setups/{id}/changes")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"setup": "<string>",
"changes": [
{
"target": "<string>",
"param": "<string>",
"module": "<string>",
"source": {
"kind": "setup",
"id": "<string>"
},
"value": "<unknown>"
}
],
"unset": [
"<string>"
],
"unknownTokens": [
"<string>"
],
"refused": [
{
"key": "<string>",
"reason": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}